Skip to content

Sandbox - Create API Key

Request

Create a new company-scoped API key for the authenticated account.

Security
ArxusSSO(Required scopes: ROLE_ITSM_SANDBOX_WRITE)
Bodyapplication/jsonrequired
labelstring, non-emptyrequired

A human-readable label for the API key.

Example:"Production key"
expiresstring or null, (date-time)

An optional expiry date and time. Set to null for no expiry.

Default:null
Example:"2027-01-01T00:00:00Z"
curl -i -X POST \
  https://developer.arxus.eu/_mock/apis/care/openapi/sandbox/apikeys \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "label": "Production key",
    "expires": "2027-01-01T00:00:00Z"
  }'

Responses

The created API key with the raw key value (shown only once).

Bodyapplication/json
metaobject(Response metadata)

Response metadata schema.

dataobject(API Key (with secret))

A newly created API key, including the raw key value (shown only once).

Response
{ "meta": {}, "data": { "id": "6825d2cf57918d1ca439bb5e", "key": "care_k1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6", "keyPrefix": "care_k1a", "label": "Production key", "created": "2025-01-15T10:30:00Z", "expires": "2027-01-01T00:00:00Z" } }